namespace: argocd

images:
  - name: argoproj/argocd
    newTag: latest

resources:
  # Base configuration
  - ../base
  # Configure ArgoCD itself
  - ./self.yml
  - ./argocd-secret.yml
  # Include app specific repos as "apps of apps"
  - ./cluster-tst-system.yml
  - ./cluster-tst-training.yml
  - ./cluster-tst-jupyterhub.yml

  # Will work only after system setup has been completed and metallb running
  - ./argocd-ingress.yml


patchesStrategicMerge:
  - ./argocd-rbac-cm.yml
  - ./argocd-cm.yml

  # enable patch and ClusterIssuer in argocd-ingress.yml to use cert-manager certificate.
  # Causes issues with argocd commandline tool
#  - ./argocd-redirect-patch.yml

  # Logins and permissions
  # - ./user-patch.yml
